Index: pgadmin/pgAdmin3.cpp
===================================================================
--- pgadmin/pgAdmin3.cpp	(revision 7881)
+++ pgadmin/pgAdmin3.cpp	(working copy)
@@ -1308,6 +1308,10 @@
     edbHelpPath = GenerateHelpPath(wxT("enterprisedb.chm"), edbHelpPath, stdPaths, edbPaths);
     edbHelpPath = GenerateHelpPath(wxT("edb.chm"), edbHelpPath, stdPaths, edbPaths);
 
+    // If Greenplum html help available, prefer that to the .PDF help.
+    if (getenv( "GPHOME_CLIENTS" )!=0 || getenv( "GPHOME" )!=0)
+        gpHelpPath = GenerateHelpPath(wxT("index.html"), gpHelpPath, noPaths, gpPaths);
+
     gpHelpPath = GenerateHelpPath(wxT("Greenplum.chm"), gpHelpPath, stdPaths, gpPaths);
     gpHelpPath = GenerateHelpPath(wxT("GPDB.chm"), gpHelpPath, stdPaths, gpPaths);
     gpHelpPath = GenerateHelpPath(wxT("GPSQL.zip"), gpHelpPath, stdPaths, gpPaths);
@@ -1399,7 +1403,7 @@
     if (edbHelpPath.IsEmpty())
         edbHelpPath = wxT("http://www.enterprisedb.com/docs/en/current/server/");
     if (gpHelpPath.IsEmpty())
-        gpHelpPath = wxT("http://www.postgresql.org/docs/8.2/static/"); // Greenplum doesn't have help on web site yet, use closest PostgreSQL help
+        gpHelpPath = wxT("http://www.greenplum.com/docs/3300/");
     if (slonyHelpPath.IsEmpty())
         slonyHelpPath = wxT("http://www.slony.info/documentation/");
 
